HUGO-CONFIG(1)

NAME

hugo-config - Print the site configuration

SYNOPSIS

hugo config [command] [flags]

DESCRIPTION

Print the site configuration, both default and custom settings.

OPTIONS

-b, --baseURL=""
    hostname (and path) to the root, e.g. https://spf13.com/

--cacheDir=""
    filesystem path to cache directory

-c, --contentDir=""
    filesystem path to content directory

--format="toml"
    preferred file format (toml, yaml or json)

-h, --help[=false]
    help for config

--lang=""
    the language to display config for. Defaults to the first language defined.

--renderSegments=[]
    named segments to render (configured in the segments config)

-t, --theme=[]
    themes to use (located in /themes/THEMENAME/)

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

--quiet[=false]
    build in quiet mode

-M, --renderToMemory[=false]
    render to memory (mostly useful when running the server)

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo(1), hugo-config-mounts(1)